Summary:		vortexbox-player
Name:			vortexbox-player
Version:		1.1
Release:		5%{?dist}
License:		GPL
Group:      	System/Servers
Vendor:     	vortexbox.org
Packager:   	admin@tvortexbox.org
URL:        	http://www.vortexbox.org
Source0:		%{name}-%{version}.tar.gz
Source1:		vortexbox-player.init
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
AutoReqProv:	no

BuildRequires:	libmpdclient-devel
BuildRequires:	libevent-devel
Requires:		libmpdclient
Requires:		mpd >= 1.17.1
Requires:		libevent
Requires:		logitechmediaserver
Requires:		daemonize

%description
Software music player for Logitech Media Server. Uses MPD as a player with VortexBox.

%prep

%setup

%build
%configure
make

%install
%{makeinstall}
cd %{buildroot}
mkdir -p ./etc/rc.d/init.d
cp %{SOURCE1} ./etc/rc.d/init.d/vortexbox-player

%post
mkdir -p /etc/vortexbox-player
chkconfig --add vortexbox-player
/usr/bin/php /opt/vortexbox/mpd_config.php  >/dev/null 2>&1

if [ ! -e /etc/asound.state ]; then
	/sbin/alsactl store
fi

%clean
rm -rf %{buildroot}

%files
%attr(0755,root,root)	/usr/bin/vortexbox-player
%attr(0755,root,root)	/etc/rc.d/init.d/vortexbox-player
%doc /usr/share/doc/vortexbox-player/*

%changelog
* Mon Aug 27 2012 <admin@vortexbox.org>
- Updated to VortexBox Player 1.1

* Fri Jul 06 2012 <admin@vortexbox.org>
- Auto unmute most audio devices

* Wed Dec 15 2010 <admin@vortexbox.org>
- Resets sound cards to previous settings

* Tue May 11 2010 <admin@vortexbox.org>
- Fixed spec so it dosn't overwrite mpd configs

* Sun May 09 2010 <admin@vortexbox.org>
- Fix for FLAC sync bug

* Thu Feb 04 2010 <admin@vortexbox.org>
- Fixed the volume control bug

* Thu Dec 31 2009 <admin@vortexbox.org>
- Inital release